xtrh.net
当前位置:首页 >> slF4j mAvEn >>

slF4j mAvEn

在pom.xml文件中,把slf4j-log4j12.jar配置的依赖删除即可;

先在这个网址找到你要的版本:https://mvnrepository.com/artifact/org.slf4j/slf4j-nop 把那段配置拷贝到你的maven里,它会根据配置自动下载包 就可以使用了

在pom.xml文件中,把slf4j-log4j12.jar配置的依赖删除即可;

看你的pom.xml文件,如果你的依赖里面有 slf4j-log4j12-1.7.6.jar 就能找到这个jar包,如果没有,就自己添加依赖包

ftp://ftp.uwsg.indiana.edu/pub/eclipse/recommenders/updates/dev/e37/plugins/org.slf4j.api_1.6.4.v20120130-2120.jar 下载后放到 plugins 下

少个包 org.slf4j slf4j-log4j12 1.7.5 把这个放到pom.xml依赖中就可以了

Jetty本身并没有依赖一个特定的日志框架,它使用一个内置的日志记录器来输出标准错误。可以通过插件jcl04-over-slf4j和simple-slf4j来实现。 在pom.xml 加上 org.mortbay.jetty maven-jetty-plugin 6.0-SNAPSHOT 5 commons-logging commons-logg...

应该是jar包版本不一致! 比如说你的框架需要的版本是1.5的,而你提供的版本是1.2的,造成了参数的个数或者类型不一致!就会报这个错误的!

需要确认你是不是使用了 offiline 模式,或者设置了自定义的 repository ,要看你的 pom 文件才知道。

POM 中写得不对。 Maven是基于项目对象模型(POM),可以通过一小段描述信息来管理项目的构建,报告和文档的软件项目管理工具。 Maven 除了以程序构建能力为特色之外,还提供 Ant 所缺少的高级项目管理工具。由于 Maven 的缺省构建规则有较高的可...

网站首页 | 网站地图
All rights reserved Powered by www.xtrh.net
copyright ©right 2010-2021。
内容来自网络,如有侵犯请联系客服。zhit325@qq.com